Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Copy

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.AbstractProcess
              org.basex.core.Process
                  org.basex.core.proc.Copy

    public final class Copy

extends Process

Evaluates the 'copy' command.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Process
`args`

Constructor Summary
`Copy(java.lang.String... a)` Constructor.

Method Summary
`static boolean` | `check(byte[] name)` Checks the validity of the specified name.
`static Data` | `copy(Data data, int pre)` Creates a memory data instance from the specified database and pre value.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.core.Process
`args, data, error, execute, execute, info, info, info, name, output, printing, result, updating`

Methods inherited from class org.basex.core.Progress
`checkStop, det, detail, prog, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Copy

    public Copy(java.lang.String... a)

  Constructor.

  Parameters:
    `a` - arguments

Method Detail

### copy

    public static Data copy(Data data,
                            int pre)

  Creates a memory data instance from the specified database and pre value.

  Parameters:
    `data` - data reference
    `pre` - pre value
  Returns:
    database instance

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Process`

### check

    public static boolean check(byte[] name)

  Checks the validity of the specified name.

  Parameters:
    `name` - name to be checked
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD